5 Replies Latest reply on Mar 4, 2014 12:52 AM by Arvind Gupta

    Arquillian with Jetty 8 & Jetty 9 embedded container in Arquillian

    Arvind Gupta Newbie

      Dear All ,

           I cloned jetty pom from Github . I have added all dependency to pom file .I am trying to deploy WAR file . After successfully deployment  browser  run jsp  , I am getting Error A full JDK required not JRE . My Java Home is pointing correct jdk installation directory. Can anybody know  how to resolve this .

       

      Thanks in advance...!!!

       

       

      <?xml version="1.0" encoding="UTF-8"?>

      <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

       

       

          <parent>

              <groupId>org.jboss.arquillian.container</groupId>

              <artifactId>arquillian-parent-jetty</artifactId>

              <version>1.0.0.Final-SNAPSHOT</version>

              <relativePath>../pom.xml</relativePath>

          </parent>

       

       

          <modelVersion>4.0.0</modelVersion>

       

       

          <artifactId>arquillian-jetty-embedded-7</artifactId>

          <name>Arquillian Container Jetty Embedded 7.x and 8.x</name>

          <description>Jetty Embedded 7.x and 8.x container integration for the Arquillian project</description>

         

       

       

          <properties>

       

       

              <!-- known to work with all Jetty 7.x and 8.x versions (7.0.0.v20091005 through 8.0.0.M0) -->

               <version.jetty>8.1.7.v20120910</version.jetty>

              <version.shrinkwrap_container_jetty>1.0.0-beta-1</version.shrinkwrap_container_jetty>

              <glassfish.javax.version>2.2.3</glassfish.javax.version>

          <glassfish.javax-impl.version>2.2</glassfish.javax-impl.version>

       

       

           </properties>

       

       

         

       

       

      <build>

              <plugins>

                  <plugin>

                      <artifactId>maven-compiler-plugin</artifactId>

                      <configuration>

                          <source>1.6</source>

                          <target>1.6</target>

                      </configuration>

                  </plugin>

        <plugin>

        <artifactId>maven-surefire-plugin</artifactId>

        </plugin>

       

              </plugins>

       

        <!-- test resource filtering evaluates ${browser} expression in arquillian.xml -->

        <testResources>

        <testResource>

        <directory>src/test/resources</directory>

        <filtering>true</filtering>

        </testResource>

        </testResources>

       

          </build>

       

        <dependencyManagement>

          <dependencies>

         

         

        <dependency>

         <groupId>org.jboss.arquillian</groupId>

         <artifactId>arquillian-bom</artifactId>

         <version>1.1.2.Final</version>

         <type>pom</type>

         <scope>import</scope>

        </dependency>

        <dependency>

         <groupId>org.jboss.arquillian.extension</groupId>

         <artifactId>arquillian-drone-bom</artifactId>

         <version>1.2.0.Final</version>

         <type>pom</type>

         <scope>import</scope>

        </dependency>

        <dependency>

                  <groupId>org.jboss.shrinkwrap.resolver</groupId>

                  <artifactId>shrinkwrap-resolver-bom</artifactId>

                  <version>2.0.0-beta-2</version>

                  <scope>test</scope>

                  <type>pom</type>

              </dependency>

        <dependency>

                  <groupId>org.jboss.jbossas</groupId>

                  <artifactId>jboss-as-depchain</artifactId>

                  <version>6.0.0.Final</version>

                  <type>pom</type>

              </dependency>

       

          </dependencies>

        </dependencyManagement>

       

       

        <dependencies>

       

       

        <dependency>

           <groupId>javax.servlet</groupId>

           <artifactId>javax.servlet-api</artifactId>

           <version>3.0.1</version>

           <scope>provided</scope>

        </dependency>

          

        <dependency>

         <groupId>org.jboss.arquillian.extension</groupId>

         <artifactId>arquillian-drone-api</artifactId>

         <scope>test</scope>

        </dependency>

       

       

        <!--drone-->

        <dependency>

        <groupId>org.jboss.arquillian.extension</groupId>

        <artifactId>arquillian-drone-impl</artifactId>

        <scope>test</scope>

        </dependency>

        <dependency>

        <groupId>org.jboss.arquillian.extension</groupId>

        <artifactId>arquillian-drone-selenium</artifactId>

        <scope>test</scope>

        </dependency>

        <dependency>

        <groupId>org.jboss.arquillian.extension</groupId>

        <artifactId>arquillian-drone-selenium-server</artifactId>

        <scope>test</scope>

        </dependency>

        <dependency>

        <groupId>org.seleniumhq.selenium</groupId>

        <artifactId>selenium-java</artifactId>

        <scope>test</scope>

        </dependency>

        <dependency>

        <groupId>org.seleniumhq.selenium</groupId>

        <artifactId>selenium-server</artifactId>

        <scope>test</scope>

        <exclusions>

        <exclusion>

        <groupId>org.mortbay.jetty</groupId>

        <artifactId>servlet-api-3.0</artifactId>

        </exclusion>

        </exclusions>

        </dependency>

       

       

              <dependency>

                  <groupId>org.jboss.arquillian.container</groupId>

                  <artifactId>arquillian-jetty-common</artifactId>

                  <version>${project.version}</version>

              </dependency>

       

       

              <!-- org.jboss.arquillian -->

              <dependency>

                  <groupId>org.jboss.arquillian.container</groupId>

                  <artifactId>arquillian-container-spi</artifactId>

              </dependency>

              <dependency>

                  <groupId>org.jboss.arquillian.container</groupId>

                  <artifactId>arquillian-container-test-spi</artifactId>

              </dependency>

              <dependency>

                  <groupId>org.jboss.arquillian.protocol</groupId>

                  <artifactId>arquillian-protocol-servlet</artifactId>

              </dependency>

              <dependency>

                  <groupId>org.jboss.arquillian.testenricher</groupId>

                  <artifactId>arquillian-testenricher-cdi</artifactId>

              </dependency>

              <dependency>

                  <groupId>org.jboss.arquillian.testenricher</groupId>

                  <artifactId>arquillian-testenricher-resource</artifactId>

              </dependency>

              <dependency>

                  <groupId>org.jboss.arquillian.testenricher</groupId>

                  <artifactId>arquillian-testenricher-initialcontext</artifactId>

              </dependency>

       

       

              <dependency>

                  <groupId>org.jboss.shrinkwrap.container</groupId>

                  <artifactId>shrinkwrap-extension-jetty-70</artifactId>

                  <version>${version.shrinkwrap_container_jetty}</version>

              </dependency>

       

       

              <dependency>

                  <groupId>org.eclipse.jetty</groupId>

                  <artifactId>jetty-webapp</artifactId>

                  <version>${version.jetty}</version>

                  <scope>provided</scope>

              </dependency>

              <dependency>    <!-- Jetty plus and naming required for testing resource injections -->

                  <groupId>org.eclipse.jetty</groupId>

                  <artifactId>jetty-plus</artifactId>

                  <version>${version.jetty}</version>

                  <scope>provided</scope>

              </dependency>

       

       

              <dependency>

                  <groupId>org.jboss.arquillian.junit</groupId>

                  <artifactId>arquillian-junit-container</artifactId>

                  <scope>test</scope>

              </dependency>

       

       

              <dependency>

                  <groupId>junit</groupId>

                  <artifactId>junit</artifactId>

              </dependency>

       

       

              <dependency>

                  <groupId>javax.enterprise</groupId>

                  <artifactId>cdi-api</artifactId>

              </dependency>

       

       

              <!-- Weld servlet required for testing CDI injections -->

       

       

              <dependency>

                  <groupId>org.glassfish.web</groupId>

                  <artifactId>el-impl</artifactId>

              </dependency>

              <dependency>

                  <groupId>javax.servlet.jsp</groupId>

                  <artifactId>jsp-api</artifactId>

              </dependency>

              <dependency>

                  <groupId>com.h2database</groupId>

                  <artifactId>h2</artifactId>

              </dependency>

       

       

              <dependency>

                  <groupId>org.jboss.shrinkwrap.resolver</groupId>

                  <artifactId>shrinkwrap-resolver-impl-maven</artifactId>

                  <scope>test</scope>

              </dependency>

              <dependency>

                  <groupId>org.jboss.shrinkwrap.descriptors</groupId>

                  <artifactId>shrinkwrap-descriptors-impl-javaee</artifactId>

                  <scope>test</scope>

              </dependency>

       

       

              <dependency>

                  <groupId>org.jboss.weld.servlet</groupId>

                  <artifactId>weld-servlet</artifactId>

                  <scope>test</scope>

              </dependency>

             

              <!-- JSP Support -->

           <dependency>

               <groupId>org.glassfish.web</groupId>

               <artifactId>javax.servlet.jsp</artifactId>

               <version>${glassfish.javax.version}</version>

           </dependency>

       

           <dependency>

               <groupId>org.glassfish.web</groupId>

               <artifactId>jsp-impl</artifactId>

               <version>${glassfish.javax-impl.version}</version>

           </dependency>

          

         

           <!--jsp support for jetty, add the 2 following -->

          <dependency>

              <groupId>org.mortbay.jetty</groupId>

              <artifactId>jsp-2.1</artifactId>

              <version>6.1.14</version>

              <type>jar</type>

          </dependency>

          <dependency>

              <groupId>org.mortbay.jetty</groupId>

              <artifactId>jsp-api-2.1</artifactId>

              <version>6.1.14</version>

              <type>jar</type>

          </dependency>

       

       

       

       

        <dependency>

        <groupId>org.apache.tomcat</groupId>

        <artifactId>jasper</artifactId>

        <version>6.0.32</version>

        </dependency>

       

          </dependencies>

      </project>